/**
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"). You may not use this file except in compliance
 *  with the License. A copy of the License is located at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  or in the 'license' file accompanying this file. This file is distributed on an 'AS IS' BASIS, WITHOUT WARRANTIES
 *  OR CONDITIONS OF ANY KIND, express or implied. See the License for the specific language governing permissions
 *  and limitations under the License.
 */
import * as cdk from 'aws-cdk-lib';
import * as bedrock from 'aws-cdk-lib/aws-bedrock';
import { Construct } from 'constructs';
export interface BuildInferenceProfileProps {
    readonly bedrockModelId: string;
    readonly inferenceProfileProps?: bedrock.CfnApplicationInferenceProfileProps;
    readonly deployCrossRegionProfile?: boolean;
}
export interface BuildInferenceProfileReponse {
    readonly crossRegion?: boolean;
    readonly inferenceProfile: bedrock.CfnApplicationInferenceProfile;
}
export declare function buildInferenceProfile(scope: Construct, id: string, props: BuildInferenceProfileProps): BuildInferenceProfileReponse;
export interface MappingResponse {
    readonly mappingName: string;
    readonly mapping: cdk.CfnMapping;
}
export declare function createAreaPrefixMapping(scope: Construct, id: string): MappingResponse;
export declare function createAreaRegionMapping(scope: Construct, id: string, model: string): MappingResponse;
export declare function IsCrossRegionProfile(deployCrossRegionProfile?: boolean): boolean;
export interface BedrockInferenceProps {
    readonly bedrockModelId: string;
    readonly inferenceProfileProps?: bedrock.CfnApplicationInferenceProfileProps;
    readonly deployCrossRegionProfile?: boolean;
}
export declare function CheckBedrockInferenceProps(propsObject: BedrockInferenceProps): void;
